Bug 825872 - Index xlator should be loaded on Upgrade of rpms
Index xlator should be loaded on Upgrade of rpms
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Raghavendra Bhat
Raghavendra Bhat
:
Depends On:
Blocks: 830218
  Show dependency treegraph
 
Reported: 2012-05-28 16:47 EDT by Pranith Kumar K
Modified: 2013-07-24 13:48 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 830218 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:48:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pranith Kumar K 2012-05-28 16:47:43 EDT
Description of problem:
Index xlator should be loaded on bricks after Upgrade of rpms

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Pranith Kumar K 2012-06-05 06:57:36 EDT
Index xlator is introduced in 3.3. Old volfiles will not have this xlator loaded. On rpm upgrade (rpm -Uvh) glusterd will re-generate the volfiles to load this extra xlator. Please verify that the brick volfiles have the index xlator loaded after the upgrade.
Comment 2 Raghavendra Bhat 2012-06-12 06:12:03 EDT
Because of the bug 824231, this bug cannot be verified  (i.e. index xlator is not getting loaded). Will verify once 824231 is fixed.
Comment 3 Amar Tumballi 2012-07-11 06:11:43 EDT
fix available in master @ http://review.gluster.com/3548

Note You need to log in before you can comment on or make changes to this bug.